<html>

    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8">

        <link rel="stylesheet" type="text/css" href="https://cdn.webix.com/edge/webix.css">
        <script type="text/javascript" src="https://cdn.webix.com/edge/webix.js"></script>
        <script type="text/javascript" src="https://cdn.jsdelivr.net/alasql/latest/alasql.min.js"></script>
        <script type="text/javascript" src="./js/restcalls.js"></script>
        <script type="text/javascript" src="./js/datacache.js"></script>
        <script type="text/javascript" src="./js/application.js"></script>

        <title>full music player application</title>
        <!--style type="text/css" media="screen">html, body{ height:100%; }</style-->
    </head>

    <body>
        <script type="text/javascript" charset="utf-8">
            webix.ui({
                view: "multiview",
                // view: "tabview",
                cells: [{
                    id: "loginScreen",
                    rows: [{}, {
                        cols: [{}, {
                            view: "form",
                            width: 550,
                            elements: [{
                                id: "loginScreenUserIDText",
                                view: "text",
                                label: "UserID",
                                labelWidth: 150
                            }, {
                                id: "loginScreenPasswordText",
                                view: "text",
                                type: "password",
                                label: "Password",
                                labelWidth: 150
                            }, {
                                margin: 5,
                                cols: [{
                                    id: "loginScreenLoginButton",
                                    view: "button",
                                    value: "Login"
                                }, {
                                    id: "loginScreenClearButton",
                                    view: "button",
                                    value: "Clear"
                                }]
                            }, {
                                view: "button",
                                id: "loginScreenRegisterButton",
                                value: "Register new user"
                            }]
                        }, {}]
                    }, {}]
                }, {
                    id: "createUserScreen",
                    rows: [{}, {
                        cols: [{}, {
                            view: "form",
                            width: 550,
                            elements: [{
                                id: "createUserScreenUserID",
                                view: "text",
                                label: "UserID",
                                labelWidth: 150
                            }, {
                                id: "createUserScreenName",
                                view: "text",
                                label: "Full Name",
                                labelWidth: 150
                            }, {
                                id: "createUserScreenDate",
                                view: "datepicker",
                                label: "Date of Birth",
                                labelWidth: 150
                            }, {
                                id: "createUserScreenPassword",
                                view: "text",
                                type: "password",
                                label: "Password",
                                labelWidth: 150
                            }, {
                                id: "createUserScreenRegion",
                                view: "combo",
                                label: "Region",
                                value: "USA",
                                options: ["USA", "IN", "CHN", "DE", "UK", "MEX", "IRE", "PK", "SL"],
                                labelWidth: 150
                            }, {
                                margin: 5,
                                cols: [{
                                    id: "createUserScreenBackButton",
                                    view: "button",
                                    value: "Back"
                                }, {
                                    id: "createUserScreenSubmitButton",
                                    view: "button",
                                    value: "Submit"
                                }]
                            }]
                        }, {}]
                    }, {}]
                }, {
                    id: "mainScreen",
                    container: "layout_div",
                    //type: "wide",
                    cols: [{
                        width: 200,
                        rows: [{
                            view: "button",
                            id: "navHome",
                            type: "image",
                            width: 200,
                            height: 200,
                            image: "images/play.png"
                        }, {
                            id: "navColumn",
                            view: "list",
                            template: "#title#",
                            select: true,
                            scroll: false,
                            data: [{
                                id: "navSearch",
                                title: "Search"
                            }, {
                                id: "navLibrary",
                                title: "Library"
                            // }, {
                            //     id: "navPlaylist",
                            //     title: "Playlist"
                            // }, {
                            //     id: "navFriends",
                            //     title: "Friends"
                            // }, {
                            //     id: "navArtist", //TODO: remove
                            //     title: "Artist"
                            // }, {
                            //     id: "navAlbum", //TODO: remove
                            //     title: "Album"
                            }]
                        }, {
                            view: "button",
                            id: "mainScreenLogoutButton",
                            value: "Logout"
                        }]
                    }, {
                        id: "mainColumn",
                        view: "multiview",
                        cells:[{
                            type: "space",
                            rows: [{
                                type: "header",
                                template: "Artist"
                            }, {
                                view: "template",
                                height: 30,
                                template: "Trending Songs in Different Regions"
                            }, {
                                id: "regionMetric",
                                view: "datatable",
                                columns:[
                                    {id: "REGION", header: "", width: 50},
                                    {id: "SONGNAME", header: "Name", fillspace:1},
                                    {id: "ARTISTNAME", header: "Artist", fillspace:1}
                                ],
                                data:[]
                            }, {
                                view: "template",
                                height: 30,
                                template: "Trending 2010s Songs"
                            }, {
                                id: "10sMetric",
                                view: "datatable",
                                columns:[
                                    {id: "ROWNUM", header: "", width: 50},
                                    {id: "SONGNAME", header: "Name", fillspace:1},
                                    {id: "ARTISTNAME", header: "Artist", fillspace:1}
                                ],
                                data:[]
                            }, {
                                view: "template",
                                height: 30,
                                template: "Trending 2000s Songs"
                            }, {
                                id: "00sMetric",
                                view: "datatable",
                                columns:[
                                    {id: "ROWNUM", header: "", width: 50},
                                    {id: "SONGNAME", header: "Name", fillspace:1},
                                    {id: "ARTISTNAME", header: "Artist", fillspace:1}
                                ],
                                data:[]
                            }]
                        }, {
                            id: "searchPage",
                            type: "space",
                            rows:[{
                                type: "header",
                                template: "Search"
                            }, {
                                id: "searchPageSearch",
                                view: "search",
                                placeholder: "Search.."
                            }, {
                                view: "template",
                                height: 30,
                                template: "Songs"
                            }, {
                                id: "searchPageSongResults",
                                view: "datatable",
                                columns:[
                                    {id: "TRACKNUMBER", header: "", width: 50},
                                    {id: "SONGNAME", header: "Name", fillspace:1},
                                    {id: "ALBUMNAME", header: "Album", fillspace:1},
                                    {id: "ARTISTNAME", header: "Artist", fillspace:1},
                                    {id: "SUBSCRIBE", header: "Subscribe", width: 60}
                                ],
                                data:[]
                            }, {
                                view: "template",
                                height: 30,
                                template: "Artists"
                            }, {
                                id: "searchPageArtistResults",
                                view: "dataview",
                        		type: {
                        			height: 90
                        		},
                                template: "<div class='webix_strong'>#ARTISTNAME#</div> Year: #DOBSTR#",
                                data: []
                            }, {
                                view: "template",
                                height: 30,
                                template: "Albums"
                            }, {
                                id: "searchPageAlbumResults",
                                view: "dataview",
                        		type: {
                        			height: 90
                        		},
                                template: "<div class='webix_strong'>#ALBUMNAME#</div> Artist: #ARTISTNAME#<br>Year: #YEARSTR#",
                                data: []
                            }]
                        }, {
                            id: "libraryPage",
                            type: "space",
                            view: "tabview",
                            cells:[{
                                id: "libraryAlbumTab",
                                header: "Albums",
                                view: "dataview",
                        		type: {
                        			height: 90
                        		},
                                template: "<div class='webix_strong'>#ALBUMNAME#</div> Artist: #ARTISTNAME#<br>Year: #YEARSTR#",
                                data: []
                            }, {
                                id: "libraryArtistTab",
                                header: "Artists",
                                view: "dataview",
                        		type: {
                        			height: 90
                        		},
                                template: "<div class='webix_strong'>#ARTISTNAME#</div> Year: #DOBSTR#",
                                data: []
                            }, {
                                id: "librarySongTab",
                                header: "Songs",
                                view: "datatable",
                                columns:[
                                    {id: "TRACKNUMBER", header: "", width: 50},
                                    {id: "SONGNAME", header: "Name", fillspace:1},
                                    {id: "ALBUMNAME", header: "Album", fillspace:1},
                                    {id: "ARTISTNAME", header: "Artist", fillspace:1},
                                    {id: "SUBSCRIBE", header: "Subscribe", width: 60}
                                ],
                                data:[]
                            }]
                        }, {
                            id: "playlistPage"
                        }, {
                            id: "friendsPage",
                            type: "space",
                            rows:[{
                                type: "header",
                                template: "Friends"
                            }, {
                                cols: [{
                                    id: "friendsPageLeft",
                                    type: "line",
                                    rows: [{
                                        view: "template",
                                        height: 30,
                                        template: "Search Users"
                                    }, {
                                        id: "friendsPageSearch",
                                        view: "search",
                                        placeholder: "Search.."
                                    }, {
                                        id: "friendsPageSearchResults",
                                        view: "datatable",
                                        columns:[
                                            {id: "USERID", header: "UserID", fillspace: 1},
                                            {id: "NAME", header: "Name", fillspace:2},
                                            {id: "FRIEND", header: "", width:50}
                                        ],
                                        data:[]
                                    }]
                                }, {
                                    id: "friendsPageRight",
                                    type: "line",
                                    rows: [{
                                        view: "template",
                                        height: 30,
                                        padding: 3,
                                        template: "My friends"
                                    }, {
                                        id: "friendsPageFriends",
                                        view: "datatable",
                                        columns:[
                                            {id: "USERID", header: "UserID", fillspace: 1},
                                            {id: "NAME", header: "Name", fillspace:2},
                                            {id: "FRIEND", header: "", width:50}
                                        ],
                                        data:[]
                                    }]
                                }]
                            }]
                        }, {
                            id: "artistPage",
                            type: "space",
                            rows:[{
                                type: "header",
                                template: "Artist"
                            }, {
                                id: "artistPageTitle",
                                view: "template",
                                height: 90,
                                template: "<div class='webix_strong'>#ARTISTNAME#</div><p><div class='webix_strong'>Year: #DOBSTR#</div>",
                                data: {ARTISTNAME: "", DOBSTR: ""}
                            }, {
                                view: "template",
                                height: 30,
                                template: "Albums"
                            }, {
                                id: "artistPageAlbums",
                                view: "dataview",
                        		type: {
                        			height: 90
                        		},
                                template: "<div class='webix_strong'>#ALBUMNAME#</div> Artist: #ARTISTNAME#<br>Year: #YEARSTR#",
                                data: []
                            }]
                        }, {
                            id: "albumPage",
                            type: "space",
                            rows:[{
                                type: "header",
                                template: "Album"
                            }, {
                                id: "albumPageTitle",
                                view: "template",
                                height: 90,
                                template: "<div class='webix_strong'>#ALBUMNAME#</div><p><div class='webix_strong'>Artist: #ARTISTNAME#</div><p><div class='webix_strong'>Year: #YEARSTR#</div>",
                                data: {ALBUMNAME: "", ARTISTNAME: "", YEARSTR: ""}
                            }, {
                                view: "template",
                                height: 30,
                                template: "Songs"
                            }, {
                                id: "albumPageSongs",
                                view: "datatable",
                                columns:[
                                    {id: "TRACKNUMBER", header: "", width: 50},
                                    {id: "SONGNAME", header: "Name", fillspace:1},
                                    {id: "ARTISTNAME", header: "Artist", fillspace:1},
                                    {id: "SUBSCRIBE", header: "Subscribe", width: 60}
                                ],
                                data:[]
                            }]
                        }]
                    // }, {
                    //     id: "playerColumn",
                    //     width: 300,
                    //     type: "space",
                    //     rows: [{
                    //         id: "playerIcon",
                    //         height: 300,
                    //         view: "template",
                    //         template: "<img src='images/play.png'/>",
                    //     }, {
                    //         id: "playerControls",
                    //         height: 50,
                    //         view: "template",
                    //         template: "Controls",
                    //     }, {
                    //         id: "playerPlaylist"
                    //     }]
                    }]
                }]
            });

            onPageLoad();
        </script>
    </body>
</html>
